Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 601572 - Ebook-Viewer Segfaults
Ebook-Viewer Segfaults
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 04:36 EDT by Frank Murphy
Modified: 2012-08-16 18:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:01:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Valgrind C&P (3.61 KB, application/octet-stream)
2010-06-08 04:36 EDT, Frank Murphy
no flags Details
Valgrind C&P (3.61 KB, text/plain)
2010-06-08 04:39 EDT, Frank Murphy
no flags Details
Strace (1.69 MB, text/plain)
2010-06-08 12:04 EDT, Frank Murphy
no flags Details
Gnome-Calibre steps to install (5.06 KB, text/plain)
2010-06-10 08:41 EDT, Frank Murphy
no flags Details
Python AVC denials (2.81 KB, text/plain)
2010-06-10 08:42 EDT, Frank Murphy
no flags Details

  None (edit)
Description Frank Murphy 2010-06-08 04:36:58 EDT
Created attachment 422100 [details]
Valgrind C&P

Description of problem: Ebook Viewer sefaults


Version-Release number of selected component (if applicable):
calibre-0.7.1-1.fc14.x86_64
python-2.6.5-13.fc14.x86_64


How reproducible: always


Steps to Reproduce:
1. open Terminal
2. type: ebook-viewer or  /usr/bin/ebook-viewer
3. 
  
Actual results: Seg fault
/usr/bin/ebook-viewer
Segmentation fault

python /usr/bin/ebook-viewer
Segmentation fault

Expected results: Window


Additional info: segfaults on 2: above, also exits as attachedf valgrind.

will run if "valgrind /usr/bin/ebook-viewer"
Comment 1 Frank Murphy 2010-06-08 04:39:30 EDT
Created attachment 422105 [details]
Valgrind C&P
Comment 2 Kevin Fenzi 2010-06-08 11:51:07 EDT
Can you provide: 

strace -o /tmp/trace -f /usr/bin/ebook-viewer
(the /tmp/trace file)

Thanks.
Comment 3 Frank Murphy 2010-06-08 12:04:29 EDT
Created attachment 422258 [details]
Strace
Comment 4 Kevin Fenzi 2010-06-08 12:11:35 EDT
Does the problem persist on a newly created users desktop?
Comment 5 Frank Murphy 2010-06-08 12:27:09 EDT
(In reply to comment #4)
> Does the problem persist on a newly created users desktop?    

created new "test" user
[test@torrent ~]$ /usr/bin/ebook-viewer
Segmentation fault
Comment 6 Kevin Fenzi 2010-06-08 17:41:49 EDT
Oddly, I can't get this to fail here... but only have Xfce installed, and KDE has some broken deps preventing me from installing it to test. ;( 

Can you try another DE and see if the problem persists there?
Comment 7 Frank Murphy 2010-06-09 03:03:39 EDT
(In reply to comment #6)
> Oddly, I can't get this to fail here... but only have Xfce installed, and KDE
> has some broken deps preventing me from installing it to test. ;( 
> 
> Can you try another DE and see if the problem persists there?    

I'll throw Gnome onto an external HD, and update to Rawhide.
I'll need a day or two if that's ok.
Comment 8 Kevin Fenzi 2010-06-09 11:36:29 EDT
Perfectly fine. ;) Add info as you get it...
Comment 9 Frank Murphy 2010-06-10 08:41:41 EDT
Created attachment 422891 [details]
Gnome-Calibre steps to install
Comment 10 Frank Murphy 2010-06-10 08:42:47 EDT
Created attachment 422892 [details]
Python AVC denials
Comment 11 Kevin Fenzi 2010-07-04 16:00:57 EDT
Is this still happening in the current rawhide builds?

So so, we probibly need to get upstream to fix this before we push to any stable releases. Needing execmem is bad. ;(
Comment 12 Frank Murphy 2010-07-05 11:38:38 EDT
(In reply to comment #11)
> Is this still happening in the current rawhide builds?

Still there. on 32bit, 
there a bug preventing me installing 64bit with virt-manager.
Comment 13 Kevin Fenzi 2010-07-18 14:56:27 EDT
Adding dwalsh here. 

How can I figure out whats  causing this execmem request so I can fix it?
It's just reporting python, as calibre is written in python. Something in this new version is making it try for execmem though. ;(
Comment 14 Daniel Walsh 2010-07-19 11:15:24 EDT
It most likely is a shared library that your python code is using.
Comment 15 Kevin Fenzi 2010-07-24 17:40:04 EDT
Yeah, the trick is: how do I figure out which lib this is?
Comment 16 Bug Zapper 2010-07-30 08:03:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Kevin Fenzi 2010-11-21 16:06:35 EST
Frank: Do you still see this in final F14?

I am not seeing it here.
Comment 18 Frank Murphy 2010-12-25 06:44:17 EST
(In reply to comment #17)
> Frank: Do you still see this in final F14?
> 
> I am not seeing it here.

The "stable final" or the calibre repo?
Comment 19 Kevin Fenzi 2010-12-25 14:06:24 EST
Well, either one really I guess. ;)
Comment 20 Fedora End Of Life 2012-08-16 18:01:37 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.